<mat-sidenav-container class="sidenav-container">
  <mat-sidenav
    #drawer
    class="sidenav"
    fixedInViewport
    [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
    [mode]="(isHandset$ | async) ? 'Push' : 'side'"
    [opened]="(isHandset$ | async) === false"
  >
    <button
      class="close-button"
      type="button"
      mat-icon-button
      (click)="drawer.toggle()"
      *ngIf="isHandset$ | async"
    >
      <mat-icon>close</mat-icon>
    </button>
    <mat-toolbar>
      <h1>My</h1>
      <img
        class="gif"
        src="https://www.last.fm/static/images/logo_animate@2x.e93e5b7db3de.gif"
        alt="funny GIF"
        height="20px"
      />
      <h1>App</h1>
    </mat-toolbar>
    <app-countries (activeCountry)="getOutputCountry($event)"></app-countries>
    <mat-nav-list>
      <a mat-list-item href="#">Dashboard</a>
      <a mat-list-item href="https://www.last.fm/" target="_blank">last.fm</a>
      <a mat-list-item href="#">Doku</a>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary" class="mat-toolbar-single">
      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
        *ngIf="isHandset$ | async"
      >
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <button class="country" mat-button (click)="drawer.toggle()">
        <img src="{{ country.flagSVG }}" style="height: 1rem" />
      </button>
    </mat-toolbar>
    <mat-sidenav-content>
      <div class="logo">
        <object
          type="image/svg+xml"
          data="assets/lastfmSWAG.svg"
          class="logo-svg"
        ></object>
        <p class="userInfo">by Ramón Lukas</p>
        <!-- <md-card>
          <img src="assets/lastfmSWAG.svg" class="md-card-image" />
          <md-card-content>
            <p class="userInfo">by Ramón Lukas</p>
          </md-card-content>
        </md-card> -->
      </div>
    </mat-sidenav-content>
  </mat-sidenav-content>
</mat-sidenav-container>
